/* Style */
body, html {
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
    color: white;
    background-image: url(../images/background.jpg);
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    min-height: 100vh;
}

/* Contenedor principal */
.container {
    width: 50%;
    margin: 0 auto; 
    padding: 10px 5px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px; 
    min-height: 50vh;
    box-sizing: border-box;
    font-size: 12px;
}

/* Primera sección: Logo */
.logo {
    max-width: 30%;
    height: auto;
}

/* Tercera sección: Imagen flotante */
.promo-image {
    width: 35vw;
    max-width: 70%;
    height: auto;
    border-radius: 8px;
}

/* cuarta sección: CTA */
.cta-button {
    padding: 16px 32px;
    font-size: 1rem;
    color: white;
    font-weight: bold;
    text-shadow: 1px 1px 2px rgba(0,0,0,0.5);
    border: 2px solid #04522d;
    border-radius: 12px;
    background: linear-gradient(to bottom, #6abf4b, #056839);
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

.cta-button:hover {
    transform: scale(1.05);
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}

/* quinta sección: precio */
.price-text {
    font-weight: bold;
    font-size: 0.75rem;
    margin-top: 0px;
}
.sms-image {
  text-align: center;
  margin-top: 8px;
  margin-bottom: 8px;
}

.sms-image img {
  width: 50%;
  max-width: 200px;
  height: auto;
  display: block;
  margin: 0 auto;
}

/* sexta sección: Legales */
.terms-section {
    max-width: 600px;
    width: 100%;
}

.terms-section h3 {
    margin-bottom: 0px;
}

.terms-text {
    font-size: 0.60rem;
    opacity: 0.8;
    line-height: 1;
    margin-top: 0px;
}

.terms-text a {
    color: #ffffff;
    font-weight: bold;
    text-decoration: underline;
}

.terms-text a:hover {
    color: #00ff4c;
}

/* Responsive para móviles */
@media (max-width: 768px) {
    .container {
        width: 90%;
        gap: 20px;
    }

    .promo-image {
        width: 80%;
    }
}
